gstreamer1.0-plugins-base_1.8.0-1ubuntu1_amd64.deb


Advertisement

Description

gstreamer1.0-plugins-base - GStreamer plugins from the "base" set

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename gstreamer1.0-plugins-base_1.8.0-1ubuntu1_amd64.deb
Package name gstreamer1.0-plugins-base
Package version 1.8.0
Package release 1ubuntu1
Package architecture amd64
Package type deb
Category libs
Homepage http://gstreamer.freedesktop.org/modules/gst-plugins-base.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 483.34 KB
Installed size 1.67 MB
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data.  Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.
This package contains the GStreamer plugins from the "base" set, an
essential exemplary set of elements.

Alternatives

Package Version Architecture Repository
gstreamer1.0-plugins-base_1.8.3-1ubuntu0.2_amd64.deb 1.8.3 amd64 Ubuntu Updates Main
gstreamer1.0-plugins-base_1.8.3-1ubuntu0.2_i386.deb 1.8.3 i386 Ubuntu Updates Main
gstreamer1.0-plugins-base_1.8.0-1ubuntu1_i386.deb 1.8.0 i386 Ubuntu Main
gstreamer1.0-plugins-base - - -

Requires

Name Value
libc6 >= 2.14
libcdparanoia0 >= 3.10.2+debian
libglib2.0-0 >= 2.40
libgstreamer-plugins-base1.0-0 >= 1.8.0
libgstreamer1.0-0 >= 1.6.0
libogg0 >= 1.0rc3
libopus0 >= 1.1
liborc-0.4-0 >= 1:0.4.25
libtheora0 >= 1.0
libvisual-0.4-0 >= 0.4.0
libvorbis0a >= 1.1.2
libvorbisenc2 >= 1.1.2

Provides

Name Value
gstreamer1.0-audiosource -
gstreamer1.0-videosource -

Replaces

Name Value
gstreamer1.0-plugins-bad << 1.7.90

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gstreamer1.0-plugins-base_1.8.0-1ubuntu1_amd64.deb
Source Package gst-plugins-base1.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gstreamer1.0-plugins-base deb package:
    # sudo apt-get install gstreamer1.0-plugins-base

Files

Path
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstadder.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstapp.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstaudioconvert.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstaudiorate.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstaudioresample.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstaudiotestsrc.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstcdparanoia.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstencodebin.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstgio.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstlibvisual.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstogg.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstopus.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstplayback.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstsubparse.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgsttcp.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgsttheora.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgsttypefindfunctions.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstvideoconvert.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstvideorate.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstvideoscale.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstvideotestsrc.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstvolume.so
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstvorbis.so
/usr/share/doc/gstreamer1.0-plugins-base/AUTHORS
/usr/share/doc/gstreamer1.0-plugins-base/NEWS.gz
/usr/share/doc/gstreamer1.0-plugins-base/README.Debian
/usr/share/doc/gstreamer1.0-plugins-base/README.gz
/usr/share/doc/gstreamer1.0-plugins-base/changelog.Debian.gz
/usr/share/doc/gstreamer1.0-plugins-base/copyright

Changelog

2016-03-25 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.8.0-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
2016-03-24 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.8.0-1) unstable; urgency=medium
* New upstream stable release:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GStreamer >= 1.8.0.
2016-03-17 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.7.91-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
2016-03-15 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.7.91-1) experimental; urgency=medium
* New upstream release candidate:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GStreamer >= 1.7.91.
+ debian/libgstreamer-plugins-base.symbols:
- Update new symbols.
2016-03-03 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.7.90-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
2016-03-01 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.7.90-1) experimental; urgency=medium
* New upstream release candidate:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GStreamer >= 1.7.90.
+ debian/build-deps.in,
debian/control.in,
debian/gstreamer-plugins-base.install:
- Add Opus plugin and add Breaks/Replaces for gst-plugins-bad.
2016-02-22 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.7.2-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
2016-02-19 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.7.2-1) experimental; urgency=medium
* New upstream unstable release:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GStreamer >= 1.7.2.
+ debian/libgstreamer-plugins-base.symbols:
- Update for new symbols.
+ debian/control.in:
- Add Breaks for gstreamer1.0-plugins-bad << 1.7.1 because
of GstAudioVisualizer moved from a plugin to a library here.
2016-01-11 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.7.1-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
* debian/patches/0001-playbin-Use-the-caps-query-instead-of-accept-caps-to.patch:
Cherry-pick patch from upstream to fix totem.
2015-12-24 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.7.1-1) experimental; urgency=medium
* New upstream unstable release:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GLib >= 2.40 and GStreamer >= 1.7.1.
+ debian/libgstreamer-plugins-base.symbols:
- Update for new symbols.

See Also

Package Description
gstreamer1.0-plugins-good-doc_1.8.0-1ubuntu1_all.deb GStreamer documentation for plugins from the "good" set
gstreamer1.0-plugins-good_1.8.0-1ubuntu1_amd64.deb GStreamer plugins from the "good" set
gstreamer1.0-pulseaudio_1.8.0-1ubuntu1_amd64.deb GStreamer plugin for PulseAudio
gstreamer1.0-tools_1.8.0-1_amd64.deb Tools for use with GStreamer
gstreamer1.0-x_1.8.0-1ubuntu1_amd64.deb GStreamer plugins for X11 and Pango
gtk-3-examples_3.18.9-1ubuntu3_amd64.deb example files for GTK+ 3
gtk-im-libthai_0.2.1-5ubuntu1_amd64.deb GTK+ 2 Input Method Module using LibThai
gtk-sharp2-examples_2.12.10-6_all.deb sample applications for the GTK# 2.10 toolkit
gtk2-engines-murrine_0.98.2-0ubuntu2_amd64.deb cairo-based gtk+-2.0 theme engine
gtk2.0-examples_2.24.30-1ubuntu1_amd64.deb example files for GTK+ 2.0
gtkmm-documentation_3.18.0-1_all.deb Documentation of C++ wrappers for GLib/GTK+
gucharmap_3.18.2-1ubuntu1_amd64.deb Unicode character picker and font browser
guile-2.0-dev_2.0.11+1-10_amd64.deb Development files for Guile 2.0
guile-2.0-doc_2.0.11+1-10_all.deb Documentation for Guile 2.0
guile-2.0-libs_2.0.11+1-10_amd64.deb Core Guile libraries
Advertisement
Advertisement